/* $Id: main.cpp 57 2011-03-06 22:47:59Z oh2gve $
 *
 * Copyright 2011 Tapio Aaltonen
 *
 *
 * This file is part of Kello.
 *
 * Kello is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * Kello is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Kello.  If not, see <http://www.gnu.org/licenses/>.
*/


// Own stuff.
#include "config.h"
#include "main.h"
#include "window.h"

// Wx stuff.
#include <wx/app.h>
#include <wx/log.h>




KelloApp::KelloApp():
wxApp(), window_(NULL)
{
	SetAppName(wxT(PACKAGE));
}

KelloApp::~KelloApp()
{
}

bool KelloApp::OnInit()
{
	// Just for the lulz.
	if ( !wxApp::OnInit() )
	{
		return false;
	}
	
	// Create the main window.
	window_ = new Window( wxString(wxT(PACKAGE)) );
	if ( window_ == NULL )
	{
		wxLogError(wxT("Failed to create main window."));
		return false;
	}
	
	// Show main window.
	window_->Show();
	SetTopWindow(window_);
	
	// Event loop starts after this method returns.
	return true;
}


int KelloApp::OnExit()
{
	return wxApp::OnExit();
}

IMPLEMENT_APP(KelloApp)
